## org.freedesktop.NetworkManager.Device.WifiP2P org.freedesktop.NetworkManager.Device.WifiP2P — Wi-Fi P2P Device |

## Methods

    StartFind (IN  a{sv} options);
    StopFind  ();

## Signals

    PeerAdded   (o peer);
    PeerRemoved (o peer);

## Properties

    HwAddress  readable   s
    Peers      readable   ao

## Description

Since: 1.16

## Method Details

### The StartFind() method

    StartFind (IN  a{sv} options);

in the range of 1-600 seconds is supported. The default is 30 seconds.

Start a find operation for Wi-Fi P2P peers.

Since: 1.16

`IN a{sv} `options``: | Options of find. Currently 'timeout' option with value of "i"

### The StopFind() method

    StopFind ();

Stop an ongoing find operation again.

Since: 1.16

## Signal Details

### The "PeerAdded" signal

    PeerAdded (o peer);

Emitted when a new Wi-Fi P2P peer is found by the device.

Since: 1.16

`o `peer``: | The object path of the newly found access point.

### The "PeerRemoved" signal

    PeerRemoved (o peer);

Emitted when a Wi-Fi P2P peer disappears from view of the device.

Since: 1.16

`o `peer``: | The object path of the Wi-Fi P2P peer that has disappeared.

## Property Details

### The "HwAddress" property

    HwAddress  readable   s

The active hardware address of the device.

Since: 1.16

### The "Peers" property

    Peers  readable   ao

List of object paths of peers visible to this Wi-Fi P2P device.

Since: 1.16